Name: openttd
Version: 0.3.2.1
Release: alt1

Summary: An open source clone of the Microprose game "Transport Tycoon Deluxe".
License: GPL
Group: Games/Strategy
URL: http://www.openttd.com/

BuildRequires: libSDL-devel zlib-devel libpng-devel ImageMagick

Source: %name-%version.tar.bz2
Patch: openttd-alt.patch

%description
An open source clone of the Microprose game "Transport Tycoon Deluxe".

You need following files from TTD Win version:
  - sample.cat
  - trg1r.grf
  - trgcr.grf
  - trghr.grf
  - trgir.grf
  - trgtr.grf

To play music tracks you need files from gm directory and TiMidity

%prep
%setup -q
%patch -p0

%build
%make_build UNIX=1 RELEASE=1 \
    CFLAGS="$RPM_OPT_FLAGS `sdl-config --cflags` `libpng-config --cflags` \
	    -D__linux__ -DDATA_DIR_PREFIX=\\\"%_libdir/games/%name/\\\""

%install
%__mkdir_p %buildroot%_prefix/games
%__mkdir_p %buildroot%_libdir/games/%name/gm
%__mkdir_p %buildroot%_libdir/games/%name/lang
%__install -m755 -s ttd %buildroot%_prefix/games/%name
%__cp -a data %buildroot%_libdir/games/%name
%__cp -a lang/*.lng %buildroot%_libdir/games/%name/lang
%__chmod -x %buildroot%_libdir/games/%name/data/*

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Games/Strategy" \
title="OpenTTD" longtitle="Open Transport Tycoon Deluxe" \
command="%_prefix/games/%name" icon=%name.png
__MENU__
%__install -pD -m644 %name.menu %buildroot%_menudir/%name
# icons
convert media/icon128.png -resize 16x16 media/%name-16.png
convert media/icon128.png -resize 32x32 media/%name-32.png
convert media/icon128.png -resize 48x48 media/%name-48.png
%__install -pD -m644 media/%name-16.png %buildroot%_miconsdir/%name.png
%__install -pD -m644 media/%name-32.png %buildroot%_iconsdir/%name.png
%__install -pD -m644 media/%name-48.png %buildroot%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%_prefix/games/%name
%_libdir/games/%name
%_menudir/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Wed Jun 09 2004 Kachalov Anton <mouse@altlinux.ru> 0.3.2.1-alt1
- first build for Sisyphus
